#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	five-or-more
Version		:	3.32.3
Release		:	14.4.0.0%{?dist}
Summary		:	Remove colored balls from the board by forming lines
Group		:	Applications/File

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	https://gitlab.gnome.org/GNOME/five-or-more

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	glib-devel
BuildRequires	:	itstool
BuildRequires	:	libgnome-games-support
BuildRequires	:	pkgconfig(librsvg-2.0)
BuildRequires	:	vala

Requires(post)	:	%{_bindir}/gtk-update-icon-cache
Requires(post)	:	%{_bindir}/glib-compile-schemas
Requires(post)	:	%{_bindir}/update-desktop-database
#-----------------------------------------------------------------------------
%description
Remove colored balls from the board by forming lines

%prep
%setup -q
%autosetup -p1

#---------------------------------------------------------
#building application
%build

%{__mkdir_p} build
pushd build

meson                                                   \
        --prefix=%{_prefix}                             \
        --includedir=%{_includedir}                     \
        --libexecdir=%{_libexecdir}                     \
        --sysconfdir=%{_sysconfdir}                     \
        --bindir=%{_bindir}                             \
        --sbindir=%{_sbindir}                           \
        --mandir=%{_mandir}                             \
        --libdir=%{_libdir}                             \
        --infodir=%{_infodir}                           \

popd

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

pushd build
DESTDIR=%{buildroot}					\
	ninja install
popd 

%files			
%defattr(-,root,root,-)
%doc COPYING NEWS
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.%{name}.desktop
%{_datadir}/help/*/%{name}/*.{page,png}
%{_datadir}/help/*/%{name}/figures/*.{ogv,png}
%{_datadir}/help/*/%{name}/legal.xml
%{_datadir}/%{name}/%{name}.ui
%{_datadir}/%{name}/%{name}-preferences.ui
%{_datadir}/%{name}/themes/*.svg
%{_datadir}/icons/hicolor/*/apps/org.gnome.%{name}.png
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.%{name}-symbolic.svg
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_datadir}/metainfo/org.gnome.%{name}.appdata.xml
%{_mandir}/man6/*%{name}.6.gz

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig
%{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor 2> /dev/null
%{_bindir}/update-desktop-database &> /dev/null
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig
if [ "$1" = 0 ]; then
  %{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas 2> /dev/null
  %{_bindir}/update-desktop-database &> /dev/null
  %{_bindir}/gtk-update-icon-cache -t --quiet %{_datadir}/icons/hicolor 2> /dev/null
  fi

#-----------------------------------------------------------------------------
%changelog

